# 课程制作

Learning Lab 上的一门课程是交互式学习的一个独立单元，学员可以通过在 COEDE CHINA 仓库中按照步骤来完成课程的学习。每当学员做出一个操作，Learning Lab 机器人都会给与相应的反应并按步骤向前推动课程的学习。

通常，我们建议一门课程可以让学员在**20 到 30 分钟**可以完成学习。当你想设计的课程涵盖较多内容的时候，我们建议你将其按上手难易程度拆分成多个学习课程。

## 设计课程

课程应该是围绕你想教会学员的某项技能而设计的，因此在设计课程时，需要充分考虑学员人群的水平及学习成本等因素，为其设计一门通俗易懂、易上手的课程。

## 制作课程

一旦设计好了课程，我们就可以开始进行课程的制作了。目前，我们只支持通过仓库来创建课程（包括现有仓库以及课程模板仓库），你可以在课程仓库中按照设想的课程进行步骤的设计和制作。

## 测试课程

在课程制作过程中，你可以随时测试你课程的 draft 版本，你可以通过课程测试来模拟学员在学习课程中的步骤，并调整课程的步骤及 Response 内容。

## 发布课程

当你对课程感到满意时，你可以在管理后台中单击“课程”上的“发布课程”按钮，以使其在“学习实验室”中可见。公开课程对所有人开放，私人课程对组织开放。